### Method

# Gdk ToplevelLayoutset_fullscreen

#### Declaration [src]

    void
    gdk_toplevel_layout_set_fullscreen (
      GdkToplevelLayout* layout,
      gboolean fullscreen,
      GdkMonitor* monitor
    )

#### Description [src]

Sets whether the layout should cause the surface to be fullscreen when presented.

#### Parameters

`fullscreen`

  Type: `gboolean`

  `TRUE` to fullscreen the surface.

`monitor`

  Type: `GdkMonitor`

  The monitor to fullscreen on.

  The argument can be `NULL`.
  The data is owned by the caller of the method.